<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  $xUserRightDeleteGuestbookEntry = 1;
  if ( !$xUserRightDeleteGuestbookEntry ) echo $L_015;
  else
  {
    // Content Begin
      if ( isset($_POST['delGuestbookEntry']) )
      {
        if ($_POST['delGuestbookEntry']==$L_Button23)
        {
          $SQL = "DELETE FROM ".DB_PREFIX."guestbook WHERE GuestbookID IN (" .$_POST["selectedListItems"]. ")";
          $resultat = mysql_query($SQL);
          // Löschen erfolgreich
          if ($resultat) echo $L_129;
          else { echo '<span class="ERROR">'.$L_ERROR_Guestbook_entry_could_NOT_be_deleted.'</span><br />'; }
        }
        // Löschvorgang abgebrochen
        if ($_POST['delGuestbookEntry']==$L_Button24)
        {
          echo $L_130;
        }
      }
      else
      {
        echo $L_132.'<br /><br />';
        $selectedListItems = implode(",", $_POST["selectedListItems"]);
        echo '
          <form method="post" action="index.php?submenu=website&amp;page=backend_delGuestbookEntries" accept-charset="UTF-8">
            <fieldset>
              <input name="delGuestbookEntry" type="submit" value="'.$L_Button23.'" class="button" />
              <input name="delGuestbookEntry" type="submit" value="'.$L_Button24.'" class="button" />
              <input name="selectedListItems" id="selectedListItems" type="hidden" value="'.$selectedListItems.'">
              <input type="hidden" name="http-equiv" value="backend_showAllGuestbookEntries" />
            </fieldset>
          </form>
        ';
      }
    // Inhalt zuende
  }
?>